//------------------------------------------------------------------------------------
// Clock Widget for SMART Notebook
//    Analog and Digital Clock
// Authors: Jeremy Francispillai, Jacob Chan
//------------------------------------------------------------------------------------
NB.ready(function(){
    if (window.requiresNewerNBSDKVersionError) {
        var container = window.document.createElement("div");
        container.setAttribute("id", "requiresNewerNBSDKVersionErrorContainer");

        var p1 = window.document.createElement("p");
        p1.textContent = NB.localize("This activity requires a later version of SMART Notebook software.");
        container.appendChild(p1);

        var p2 = window.document.createElement("p");
        p2.textContent = NB.localize("Make sure you're using Notebook software version %d or later.").replace("%d", "16");
        container.appendChild(p2);

        document.body.appendChild(container);
        document.body.style.backgroundColor = "lightgray";

        function adjustHeights(id) {
            var elem = document.getElementById(id);
            var fontstep = 2;
            if (elem.offsetHeight > document.documentElement.clientHeight) {
                elem.style.fontSize = ((window.getComputedStyle(elem).fontSize.substr(0,2)-fontstep).toString() + 'px');
                elem.style.lineHeight = (window.getComputedStyle(elem).fontSize.substr(0,2).toString() + 'px');
                adjustHeights(id);
            }
        }

        adjustHeights("requiresNewerNBSDKVersionErrorContainer");

        return;
    }
    var clock = new Clock(new Model(), new View());
});